Customers
User information
 Loading ...
Show article in Knowledge Base

 Upgrade from VisionFlow 5.0.1 to VisionFlow 5.0.2 Export knowledge base Export     SubscribeSubscribe      Show article info
JDK 1.6.x and Tomcat 6.0.xx is now required!
If you have trouble getting VisionFlow to startup and get something like this:

"IOException while loading persisted sessions: java.io.InvalidClassException: se.visionera.VisionFlow.web.ViewHelper; local class incompatible: stream classdesc serialVersionUID = 5906122116445317217, local class serialVersionUID = 3816266860073467581"

in the Tomcat logs. Please remove a file named SESSIONS.ser that is in the TOMCAT_INSTALL_DIR/work/Catalina/localhost/YOUR_VP_WEBAPP_NAME and then try to start Tomcat again. This is due to the JDK changes from 1.5 to 1.6.

 

First of all; take a backup copy of your current installation!

No database changes has to be done so you only have to backup the Tomcat webapp!

Again, make sure that you have made a backup of your Tomcat webapp!

Unzip the vp_installed_v5.0.2_upgrade_from_v5.0.1-20090519.zip anywhere on your disk

Remove the file 'jaxb-xjc-2.0.5.jar' from the 'web-inf/lib' directory

Extract the content from 'vp_installed_v5.0.2_upgrade_from_v5.0.1-20090519.zip" over your current installation.


You are done and can restart Tomcat again!

User comments
 Loading ...